var e = require("../../common/vendor.js");
Array || e.resolveComponent("uni-popup")(), Math;
var n = {
    __name: "index",
    props: { visible: { type: Boolean, default: !1 } },
    emits: ["cancel", "confirm"],
    setup: function (n, o) {
      var t = o.emit,
        a = n,
        c = e.ref(null);
      e.watch(
        function () {
          return a.visible;
        },
        function () {
          a.visible ? c.value.open() : c.value.close();
        }
      );
      var i = function (e) {
          e.show || t("cancel");
        },
        r = function () {
          t("cancel");
        },
        u = function () {
          t("confirm");
        };
      return function (n, o) {
        return {
          a: e.o(r),
          b: e.o(u),
          c: e.sr(c, "58a85bba-0", { k: "popup" }),
          d: e.o(i),
          e: e.p({ type: "center", "is-mask-click": !1, animation: !0 }),
        };
      };
    },
  },
  o = e._export_sfc(n, [["__scopeId", "data-v-58a85bba"]]);
wx.createComponent(o);
